---
- name: get root folder of project
  shell: pwd
  register: proj_root
  args:
    chdir: "{{ playbook_dir }}/../../"
  delegate_to: localhost
  become: false

- name: remove spaces and underscores from folder name
  set_fact:
    proj_root_safe: "{{ proj_root.stdout|basename|replace('_','-')|replace(' ','-') }}"

# These values are NOT honored by Vagrant, but are still necessary for DrupalVM
# See also provisioning/box/config
- name: set vagrant hostname according to the project folder
  set_fact:
    vagrant_hostname: "{{ proj_root_safe }}.test"
    vagrant_machine_name: "{{ proj_root_safe }}-vm"
